bigbluebutton-Github/bigbluebutton-html5/tests/puppeteer/run.sh
Mohamed Amine Ben Salah d8c5aa46d9
multiple automated tests suites updates + add missing polling specs and move them with old ones to a polling test suite (#10766)
* updating old tests + collecting more snapshots [WIP]

* updates old test suites and collects more visual regressions screenshots

* remove snapshots and their collection temporary

* run tests from packages.json

* update test execution command/export constants from .env to core/constants.js

* update tests/puppeteer/README.md file

* update LOOP_INTERVAL variable call and assign timeouts to the webcam share spec

* redefine waitForSelector func in page.js, update chat test suite specs and add poll chat message test spec

* Merge remote-tracking branch 'upstream/develop' into updating-old-tests-visual-with-visual-regressions

* update webcam test specs collecting videoPreviewTimeout and use it to wait for videoPreview selector

* update custom parameters test suite

* update breakout test suite

* update webcam layout test suite

* update multiusers test suite

* update notifications test suite

* update presentation test suite

* whiteboard test suite

* screenshare test suite

* update sharednotes test suite

* user ELEMENT_WAIT_TIME variable from timeouts constants.js

* list TEST CONSTANTS by category

* add poll test suite and assigns the right unassigned timeouts

* set test pages to headless
2021-02-16 15:57:10 -05:00

61 lines
916 B
Bash
Executable File

#!/bin/bash -e
usage() {
set +x
cat 1>&2 <<HERE
BBB Health Check
OPTIONS:
-t <test name: webcamlayout/whiteboard/webcam/virtualizedlist/user/sharednotes/screenshare/presentation/polling/notifications/customparameters/chat/breakout/audio/all>
-u Print usage
HERE
}
err() {
echo "----";
echo ERROR: $@
echo "----";
}
main() {
export DEBIAN_FRONTEND=noninteractive
while builtin getopts "ut:" opt "${@}"; do
case $opt in
t)
TEST=$OPTARG
;;
u)
usage
exit 0
;;
:)
err "Missing option argument for -$OPTARG"
exit 1
;;
\?)
err "Invalid option: -$OPTARG" >&2
usage
;;
esac
done
if [ -z "$TEST" ]; then
err "No test provided";
usage
exit 1
fi
env $(cat tests/puppeteer/.env | xargs) jest $TEST.test.js --color --detectOpenHandles --forceExit
}
main "$@" || exit 1